##
##  xerces-c.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg   3.1.1
%define       V_dist   3.1.1

#   package information
Name:         xerces-c
Summary:      Validating XML parser
URL:          http://xml.apache.org/xerces-c/
Vendor:       Apache Software Foundation
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        XML
License:      Apache Software License 1.1
Version:      %{V_opkg}
Release:      20100620

#   package options
%option       with_threads    no

#   list of sources
Source0:      http://xml.apache.org/dist/xerces-c/3/sources/xerces-c-%{V_dist}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, gcc, gcc::with_cxx = yes, make
PreReq:       OpenPKG, openpkg >= 20100101

%description
    Xerces-C++ is a validating XML parser written in a portable subset
    of C++.

%track
    prog xerces-c = {
        version   = %{version}
        url       = http://xml.apache.org/dist/xerces-c/2/sources/
        regex     = xerces-c-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n xerces-c-%{V_dist}

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
%if "%{with_threads}" == "yes"
        --enable-threads \
%else
        --disable-threads \
%endif
        --disable-shared
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

